<?xml version="1.0" encoding="utf-8"?>
<com.wasu.widgets.focuswidget.FocusRelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/focusLinearLayout"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginLeft="@dimen/dd_10dp"
    android:layout_marginRight="@dimen/dd_10dp"
    android:orientation="horizontal">

    <RelativeLayout
        android:id="@+id/headerLeft"
        android:layout_width="wrap_content"
        android:layout_height="@dimen/d_240dp"
        android:layout_marginTop="@dimen/d_20dp"
        android:layout_alignParentLeft="true"
        android:layout_marginRight="@dimen/d_14dp"
        android:descendantFocusability="afterDescendants"
        android:focusable="true"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/userIconHat"
            android:layout_width="@dimen/d_30dp"
            android:layout_height="@dimen/d_20dp"
            android:src="@drawable/vip_hat_gold"
            android:scaleType="fitXY"
            android:layout_alignParentTop="true"
            android:layout_centerHorizontal="true"
            android:visibility="visible" />

        <FrameLayout
            android:id="@+id/userIconFocus"
            android:focusable="true"
            android:layout_width="@dimen/d_120dp"
            android:layout_height="@dimen/d_120dp"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/d_14dp"
            android:background="@drawable/home_vip_user_icon_selector"
            android:padding="@dimen/d_3dp">
            <com.facebook.drawee.view.SimpleDraweeView
                android:id="@+id/userIcon"
                android:layout_width="@dimen/d_114dp"
                android:layout_height="@dimen/d_114dp"
                android:layout_gravity="center"
                android:contentDescription="Vip头像"
                android:focusable="false"
                android:scaleType="fitXY"
                android:src="@drawable/not_login" />
        </FrameLayout>

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/zhangdan"
            android:layout_width="@dimen/d_174dp"
            android:layout_height="@dimen/d_60dp"
            android:layout_gravity="center"
            android:contentDescription="账单"
            android:focusable="true"
            android:scaleType="fitXY"
            android:background="@drawable/wasu"
            android:layout_centerHorizontal="true"
            android:layout_alignParentBottom="true" />

        <TextView
            android:id="@+id/tips"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:contentDescription="立即开通VIP"
            android:focusable="false"
            android:text="立即开通VIP"
            android:textColor="@color/white"
            android:textSize="@dimen/s_18sp"
            android:layout_centerHorizontal="true"
            android:layout_below="@+id/userIconFocus" />

        <TextView
            android:id="@+id/time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:focusable="false"
            android:text="VIP到期时间:2016-2-3"
            android:textColor="@color/white_alpha_08"
            android:textSize="@dimen/s_12sp"
            android:visibility="visible"
            android:layout_below="@+id/tips"
            android:layout_centerHorizontal="true" />
    </RelativeLayout>

    <FrameLayout
        android:id="@+id/adBannerFocus"
        android:layout_width="match_parent"
        android:layout_height="@dimen/d_240dp"
        android:layout_marginRight="@dimen/d_16dp"
        android:layout_marginTop="@dimen/d_20dp"
        android:layout_toLeftOf="@+id/headerRight"
        android:layout_toRightOf="@+id/headerLeft"
        android:descendantFocusability="blocksDescendants"
        android:background="@drawable/default_wasu_bg"
        android:focusable="true">

        <com.wasu.widgets.adbanner.ADBanner
            android:id="@+id/adBanner"
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_240dp"
            android:focusable="false"></com.wasu.widgets.adbanner.ADBanner>
    </FrameLayout>

    <LinearLayout
        android:id="@+id/headerRight"
        android:layout_width="@dimen/d_174dp"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:gravity="right"
        android:descendantFocusability="afterDescendants"
        android:focusable="true"
        android:orientation="vertical">

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/function_01"
            android:layout_width="@dimen/d_174dp"
            android:layout_height="@dimen/d_100dp"
            android:layout_marginTop="@dimen/d_20dp"
            android:background="@drawable/wasu"
            android:scaleType="fitXY"
            android:focusable="true" />

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/function_02"
            android:layout_width="@dimen/d_174dp"
            android:layout_height="@dimen/d_60dp"
            android:layout_marginTop="@dimen/d_10dp"
            android:background="@drawable/wasu"
            android:scaleType="fitXY"
            android:focusable="true" />

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/function_03"
            android:layout_width="@dimen/d_174dp"
            android:layout_height="@dimen/d_60dp"
            android:layout_marginTop="@dimen/d_10dp"
            android:background="@drawable/wasu"
            android:scaleType="fitXY"
            android:focusable="true" />
    </LinearLayout>
</com.wasu.widgets.focuswidget.FocusRelativeLayout>
